{{- if not (isset . "resource") }}{{ errorf "page/image.html - Resource must be set. %#v" .}}{{- end -}}
<figure class="image {{ with .class }}{{ . }}{{ end }}">
    {{- with .resource -}}
    {{- if in .MediaType "svg" -}}
    <img src='{{ .Permalink }}' {{ with $.alt }}alt="{{ . }}" {{ end }}>
    {{- else if in .MediaType "gif" -}}
    <img srcset='{{ .Permalink }}' width="{{ .Width }}px" height="{{ .Height }}px" style="max-width:{{ .Width }}px">
    {{- else -}}
    <picture>
        <source type="image/webp"
            srcset='{{ (.Resize "480x webp" ).Permalink }} 480w {{ if ge .Width 768 }},{{ (.Resize "768x webp" ).Permalink }} 768w {{ end }} {{ if ge .Width 1200 }},{{ (.Resize "1200x webp" ).Permalink }} 1200w {{ end }}'
            width="{{ .Width }}" height="{{ .Height }}" style="max-width:{{ .Width }}px" {{with $.alt}}alt="{{.}}"
            {{end}}>
        <img srcset='{{ (.Resize "480x" ).Permalink }} 480w {{ if ge .Width 768 }},{{ (.Resize "768x" ).Permalink }} 768w {{ end }} {{ if ge .Width 1200 }},{{ (.Resize "1200x" ).Permalink }} 1200w {{ end }}'
            width="{{ .Width }}" height="{{ .Height }}" style="max-width:{{ .Width }}px" {{with $.alt}}alt="{{.}}"
            {{end}}>
    </picture>

    {{- end -}}
    {{- end -}}
    {{- if isset . "title" }}
    <figcaption>{{ .title | markdownify }}</figcaption>
    {{- else if not (in (.resource.Permalink) (.resource.Title))  -}}
    <figcaption>{{ .Title | markdownify }}</figcaption>
    {{- end -}}
</figure>